---
name: Lucas Charles
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/engineering/backend-engineer/#secure">Staff Backend Engineer,
  Secure:Static Analysis</a>
reports_to: amarpatel
picture: lucascharles.jpg
linkedin: lucasgcharles
gitlab: theoretick
mentor: true
departments:
- Engineering Function
- Development Department
- Sec Section
- Secure:Static Analysis BE Team
projects:
  gitlab:
    - reviewer backend
    - maintainer ci_template
  gitlab-technical-interviews-backend: maintainer
  secure-analyzers: reviewer go
  secure-common-command: maintainer
  secure-common-report: maintainer
  secure-common-ruleset: maintainer
  secure-SAST-bandit: maintainer
  secure-SAST-brakeman: maintainer
  secure-SAST-codequality: maintainer
  secure-SAST-eslint: maintainer
  secure-SAST-flawfinder: maintainer
  secure-SAST-gosec: maintainer
  secure-SAST-kics: maintainer
  secure-SAST-kubesec: maintainer
  secure-SAST-mobsf: maintainer
  secure-SAST-pmd-apex: maintainer
  secure-SAST-semgrep: maintainer
  secure-SAST-sobelow: maintainer
  secure-SAST-spotbugs: maintainer
  secure-SAST-tracking-calculator: maintainer
  secure-SD-secrets: maintainer
  sec-danger-bot: maintainer
  security-report-schemas: maintainer
  security-report-schemas-ruby: maintainer
pronouns: he/him
pronunciation: <a href="http://ipa-reader.xyz/?text=%CB%88lu.k%C9%90s%20t%CA%83%C9%91%C9%B9lz">/ˈlu.kɐs
  tʃɑɹlz/ (audio link)</a>
story: |
  Lucas likes building tools to build more tools. He joined GitLab in 2019 after passionately
  using their products for many years.

  When not coding, Lucas is living in the Pacific Northwest, brewing his own beer, camping,
  hiking, practicing his handstands, and making too many jokes.
expertise: '<li><a href="https://docs.gitlab.com/ee/topics/airgap">Offline Security
  Scans</a> <a href="/company/team/structure/#expert">expert</a></li>

  '
domain_expertise:
- secure
specialty: Static Analysis

